Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Class NoSuchRepositoryConfigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.federated.NoSuchRepositoryConfigException
                      com.bea.content.manager.NoSuchRepositoryConfigException

All Implemented Interfaces
  Serializable

Deprecated Replaced by `NoSuchRepositoryConfigException`

    @Deprecated
    public class NoSuchRepositoryConfigException

extends NoSuchRepositoryConfigException

Thrown if an operation attempting to access a RepositoryConfig that does not exist.

See Also
  Serialized Form

Constructor Summary
`NoSuchRepositoryConfigException(String message)` Deprecated
`NoSuchRepositoryConfigException(String message, Throwable cause)` Deprecated
`NoSuchRepositoryConfigException(String message, Throwable cause, boolean log)` Deprecated
`NoSuchRepositoryConfigException(Throwable cause)` Deprecated

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchRepositoryConfigException

    public NoSuchRepositoryConfigException(String message)

  Deprecated

### NoSuchRepositoryConfigException

    public NoSuchRepositoryConfigException(String message,
                                           Throwable cause)

  Deprecated

### NoSuchRepositoryConfigException

    public NoSuchRepositoryConfigException(Throwable cause)

  Deprecated

### NoSuchRepositoryConfigException

    public NoSuchRepositoryConfigException(String message,
                                           Throwable cause,
                                           boolean log)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.